none
Problemas con Database Mail d SQL Server 2008 en Windows server 2008 RRS feed

  • Pregunta

  • Mi problema es q he usado diferentes cuentas (Hotmail, Gmail y Outlook) de correo para configura el Database Mail d SQL Server 2008 tal cual como se ha indicado en diferentes paginas en internet (ya he tenido experiencias anteriormente con resultados positivos) obteniendo errores con sada uno d ellas y a continuacion muestro:

    Con configuracion Gmail

    No se pudo enviar el mensaje de correo a los destinatarios a causa de un error del servidor de correo. (Enviando mensaje de correo electrónico utilizando la cuenta 13 (2016-10-19T13:13:07). Mensaje de excepción: No se pueden enviar los mensajes de correo al servidor de correo. (El servidor SMTP requiere una conexión segura o el cliente no se autenticó. La respuesta del servidor fue: 5.5.1 Authentication Required. Learn more at).

    Con configuracion Hotmail o Outlook

    No se pudo enviar el mensaje de correo a los destinatarios a causa de un error del servidor de correo. (Enviando mensaje de correo electrónico utilizando la cuenta 10 (2016-10-18T11:45:19). Mensaje de excepción: No se pueden enviar los mensajes de correo al servidor de correo. (El buzón de correo no está disponible. La respuesta del servidor fue: 5.7.3 Requested action aborted; user not authenticated).

    todas las cuentas d correo estan configuradas en sus respectivos servidores para permitir el uso d aplicaciones menos seguras, en el Firewall d windows he avierto los puertos 465 y 587, y he probado la conexion Telnet para ver si habia algun problema con ellos y todo esta perfecto, he probado las cuentas d correo con Outlook Express y 2007 y estos envian perfectamente el correo, en SQL esta habilitado Database Mail XPs... ya no se donde bucar la falla o resolver este problema.

    Alguien los resuelto este tipo d problemas ?

    saludos


    miércoles, 19 de octubre de 2016 17:24

Respuestas

  • Habría que ver qué es exactamente lo que dicen sobre el Framework 4.6.1, pero en teoría al SQL Server le debería dar igual. Si no recuerdo mal, se apoya en el 3.5, que rueda sobre el CLR 2.0, luego no debería verse afectado por el 4.6.1, que rueda sobre CLR 4.0.
    jueves, 20 de octubre de 2016 6:44

Todas las respuestas

  • ¿No será que todos esos servidores que has probado requieren una conexión con SSL o TLS? Asegúrate de que al añadir la cuenta en SQL Server has marcado la casilla de SSL. Si el servidor de correo tiene un nivel de seguridad más alto y requiere necesariamente TLS 1.2, hace falta cerciorarse de que tienes el adecuado Service Pack y hotfixes en el servidor SQL:

    https://support.microsoft.com/en-gb/kb/3135244

    Y revisa una vez más las credenciales que dejaste grabadas en la configuración, verifica que coinciden con las que espera tu servidor de correo (los mensajes de error que te salen tienen toda la pinta de indicar que las credenciales no están bien almacenadas).

    miércoles, 19 de octubre de 2016 20:32
  • Hola y gracias x responder tan pronto, t comento q las credenciales d las cuentas d correo estan bien ingresadas y guardadas, para el caso del protocolo SSL estan tambien marcadas incluso probe con Outlook 2007/ Express y Telnet para verificar si era problemas del firewal mal configurado todas esta pruebas fueron exitosas, entonces como conclusion se q el problema esta en el SQL Server, ahora bien estaba leyendo el link q me pasates y parece ser ese el problema ya q el servidor SQL no tiene los SP's intalados (nota esto es la 1era ves q me ocurre ya q hasta con SQL Express he podido poner a funcionar el Database Mail con cuentas d 3ero y hasta el momento no he tenido estos problemas), x otra parte he estado investigando en internet y tambien se habla de problemas con el Framework 4.6.1, q opinas al respecto ?

    saludos nuevamente

    jueves, 20 de octubre de 2016 0:43
  • Habría que ver qué es exactamente lo que dicen sobre el Framework 4.6.1, pero en teoría al SQL Server le debería dar igual. Si no recuerdo mal, se apoya en el 3.5, que rueda sobre el CLR 2.0, luego no debería verse afectado por el 4.6.1, que rueda sobre CLR 4.0.
    jueves, 20 de octubre de 2016 6:44